Overview
Comment: | KitCreator 0.2.2.x
Upgraded to latest ZLib Updated ZLIB URL to work even when it is not the latest version, since the zlib website only hosts the current version |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk | 0.2.2 |
Files: | files | file ages | folders |
SHA1: |
622194333732ae30eedd28b8c0dab18f |
User & Date: | rkeene on 2010-09-26 04:42:32 |
Other Links: | manifest | tags |
Context
2010-09-26
| ||
04:42 |
Updated to support using vfs::zstreamed
Removed zlib hack check-in: 265eb37604 user: rkeene tags: trunk | |
04:42 |
KitCreator 0.2.2.x
Upgraded to latest ZLib Updated ZLIB URL to work even when it is not the latest version, since the zlib website only hosts the current version check-in: 6221943337 user: rkeene tags: trunk, 0.2.2 | |
04:42 |
KitCreator 0.2.1.x
Fixed failure to clean kitsh directory when producing releases check-in: 65a0497bd0 user: rkeene tags: trunk, 0.2.1 | |
Changes
Modified build/makearch.info from [06687ddac9] to [7dfbe91758].
︙ | ︙ | |||
12 13 14 15 16 17 18 | # If set to "auto" it will be maintained in a file called .version # in the source directory and the revision will be incremented # each time a "makearch" is done. # # If @@SVNLCR@@ is used anywhere in this version number, it will be # replaced with the highest last-changed-rev from the output of # svn info -R (or 0) | | | 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 | # If set to "auto" it will be maintained in a file called .version # in the source directory and the revision will be incremented # each time a "makearch" is done. # # If @@SVNLCR@@ is used anywhere in this version number, it will be # replaced with the highest last-changed-rev from the output of # svn info -R (or 0) VERS="0.2.2.@@SVNLCR@@" # Space sperated list of documents, if they exist, they will be # prefixed with the contents of the DOC_HDR file and substitution # will occur: # @@UTIL@@ becomes the utility name ${UTIL} # @@VERS@@ becomes the utility version # @@DATE@@ becomes the current date |
︙ | ︙ |
Modified zlib/build.sh from [d2bfb61304] to [9514b69964].
1 2 3 4 5 6 7 8 9 10 11 12 13 | #! /bin/bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi | | | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | #! /bin/bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi ZLIBVERS="1.2.4" SRC="src/zlib-${ZLIBVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/libpng/files/zlib/${ZLIBVERS}/zlib-${ZLIBVERS}.tar.gz/download" BUILDDIR="$(pwd)/build/zlib-${ZLIBVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" export ZLIBVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR rm -rf 'build' 'out' 'inst' mkdir 'build' 'out' 'inst' || exit 1 |
︙ | ︙ |